# Project

class elasticsearch.client.ProjectClient

  To use this client, access `client.project` from an `Elasticsearch` client. For example:

      from elasticsearch import Elasticsearch

      # Create the client instance
      client = Elasticsearch(...)
      # Use the project client
      client.project.<method>(...)

  create_many_routing(*, expressions=None, body=None, error_trace=None, filter_path=None, human=None, pretty=None)

    Create or update project routing expressions.

    Parameters:

      - expressions (Mapping[str, Mapping[str, Any]] | None)

      - body (Mapping[str, Mapping[str, Any]] | None)

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  create_routing(*, name, expressions=None, body=None, error_trace=None, filter_path=None, human=None, pretty=None)

    Create or update a project routing expression.

    Parameters:

      - name (str) – The name of project routing expression

      - expressions (Mapping[str, Any] | None)

      - body (Mapping[str, Any] | None)

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  delete_routing(*, name, error_trace=None, filter_path=None, human=None, pretty=None)

    Delete a project routing expression.

    Parameters:

      - name (str) – The name of project routing expression

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  get_many_routing(*, error_trace=None, filter_path=None, human=None, pretty=None)

    Get project routing expressions.

    Parameters:

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  get_routing(*, name, error_trace=None, filter_path=None, human=None, pretty=None)

    Get a project routing expression.

    Parameters:

      - name (str) – The name of project routing expression

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  tags(*, error_trace=None, filter_path=None, human=None, pretty=None, project_routing=None, body=None)

    Get tags.

    Get the tags that are defined for the project.

    https://www.elastic.co/docs/api/doc/elasticsearch-serverless/operation/operation-project-tags

    Parameters:

      - project_routing (str | None) – A Lucene query using project metadata tags used to filter which projects are returned in the response. Examples: _alias:my-project _alias:_origin _alias:pr Supported in serverless only.

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

      - body (Dict[str, Any] | None)

    Return type:

      ObjectApiResponse[Any]